-- 双端常量定义
local m = {}

-- 商城ID
m.SHOP_ID_CARD = 1 -- 商店卡牌
m.SHOP_ID_FREE_CHEST = 2 -- 商店免费宝箱
m.SHOP_ID_EXPRESSION = 3 -- 商店表情
m.SHOP_ID_DISCOUNT = 4 -- 商店特惠
m.SHOP_ID_SAVINGS = 5 -- 小猪储蓄
m.SHOP_ID_PASS = 6 -- 迷宫通行证
m.SHOP_ID_FRIEND = 7 -- 累计充值
m.SHOP_ID_GOLD_LEAF = 8 -- 金枝木
m.SHOP_ID_SECOND_GIFT = 11 -- 次日赠礼
m.SHOP_ID_FIRST_PAY = 12 -- 首充赠礼
m.SHOP_ID_SIGN = 13 -- 迷宫通行证
m.SHOP_ID_PAY_TOTAL = 14 -- 累计充值
m.SHOP_ID_HUNT = 15 -- 新神巡狩

-- 广告位ID
m.AD_CHEST_POS_ID = 101 -- 免费宝箱
m.AD_TASK_POS_ID = 102 -- 任务
m.AD_NEW_POS_ID = 103 -- 新人福利
m.AD_GOLD_POS_ID = 104 -- 免费福利领金币
m.AD_DIAMOND_POS_ID = 105 -- 免费福利领钻石

-- 道具ID
m.ITEM_GOLD_ID = 101 -- 金币
m.ITEM_DIAMOND_ID = 102 -- 宝石
m.ITEM_RMB_ID = 103 -- 人民币
m.ITEM_FRIEND_ID = 104 -- 同心结
m.ITEM_CUPS_ID = 201 -- 奖杯/积分
m.ITEM_EXP_ID = 202 -- 经验
m.ITEM_KEY_ID = 301 -- 钥匙
m.ITEM_CLR1_ID = 401 -- 色块1
m.ITEM_CLR2_ID = 402 -- 色块2
m.ITEM_CLR3_ID = 403 -- 色块3
m.ITEM_CLR4_ID = 404 -- 色块4
m.ITEM_KEY_BUFF = 501 -- 钥匙双倍
m.ITEM_COLOR_BUFF = 502 -- 色块双倍
m.ITEM_CLRFULL_BUFF = 503 -- 色块补满

m.CLUB_TO_ITEM_LIST = {
    m.ITEM_CLR1_ID,
    m.ITEM_CLR2_ID,
    m.ITEM_CLR3_ID,
    m.ITEM_CLR4_ID
}

-- 道具类型
m.ITEM_TYPE_CURRENCY = 1 -- 货币
m.ITEM_TYPE_POINT = 2 -- 积分
m.ITEM_TYPE_KEY = 3 -- 钥匙
m.ITEM_TYPE_COLOR = 4 -- 颜色
m.ITEM_TYPE_BUFF = 5 -- 加成
m.ITEM_TYPE_ALBUM = 6 -- 头像
m.ITEM_TYPE_EXPRESSION = 7 -- 表情
m.ITEM_TYPE_TICKET = 8 -- 入场券
m.ITEM_TYPE_PASS = 9 -- 通行证
m.ITEM_TYPE_HERO = 1000 -- 英雄
m.ITEM_TYPE_PUZZLE = 10000 -- 碎片
m.ITEM_TYPE_FRAME = 20000 -- 头像框
m.ITEM_TYPE_CHEST = 30000 -- 宝箱
m.ITEM_TYPE_EQUIP = 40000 -- 装备
m.ITEM_TYPE_STUFF = 50000 -- 材料
m.ITEM_MASTER_CARD_QA_1 = 107 -- 普通万能卡
m.ITEM_MASTER_CARD_QA_2 = 108 -- 稀有万能卡
m.ITEM_MASTER_CARD_QA_3 = 109 -- 史诗万能卡
m.ITEM_MASTER_CARD_QA_4 = 110 -- 传说万能卡

--万能卡与品质对应表
m.MASTER_VS_QA_LIST = {
    [1] = m.ITEM_MASTER_CARD_QA_1,
    [2] = m.ITEM_MASTER_CARD_QA_2,
    [3] = m.ITEM_MASTER_CARD_QA_3,
    [4] = m.ITEM_MASTER_CARD_QA_0
}

m.BUY_TYPE_RECHAGE = 4 -- 充值
m.BUY_TYPE_FREE = 6 -- 免费
m.BUY_TYPE_FIRST = 7 -- 首充免费

-- 整卡兑碎片比例
m.INTACT_TO_PIECEMEAL = 1
-- 卡牌状态 CARD_STATUS
m.CARD_STATUS_INIT = 1 -- 未解锁未获得
m.CARD_STATUS_UNLOCK = 2 -- 已解锁未获得
m.CARD_STATUS_GET = 3 -- 已获得不可出战
m.CARD_STATUS_FIGHT = 4 -- 已获得可出战
m.CARD_STATUS_UPGRADE = 5 -- 已获得可升级

-- 宝箱最大空位
m.MAX_DROP_CHEST_INDEX = 4
m.MAX_OTHER_CHEST_INDEX = 100
-- 宝箱状态
m.CHEST_STATUS_INIT = 1 -- 不可打开
m.CHEST_STATUS_CAN_OPEN = 2 -- 可打开
m.CHEST_STATUS_HAD_OPEN = 3 -- 已打开
-- 宝箱类型
m.CHEST_TYPE_FIGHT = 1 -- 战斗
m.CHEST_TYPE_COMMON = 2 -- 普通
m.CHEST_TYPE_CHANGE = 3 -- 更换
m.CHEST_TYPE_CHOICE = 4 -- 选择
m.CHEST_TYPE_INCLUDE = 5 -- 包含
-- 任务状态
m.TASK_STATUS_INIT = 0 -- 完成中
m.TASK_STATUS_FINSH = 1 -- 已完成未领取
m.TASK_STATUS_RECEIVE = 2 -- 已领取
-- 头像状态
m.ALBUM_STATUS_INIT = 0 -- 未获得
m.ALBUM_STATUS_GET = 1 -- 已获得
m.ALBUM_STATUS_WEAR = 2 -- 正在使用
-- 头像获取方式
m.ALBUM_GETWAY_AUTO = 1 -- 自动获得
m.ALBUM_GETWAY_CLICK = 2 -- 手动获得
m.ALBUM_GETWAY_BUY = 3 -- 购买获得
m.ALBUM_GETWAY_BIRTH = 4 -- 初始赠送
-- 竞技场积分奖励状态
m.CUP_STATUS_INIT = 0 -- 不可领取
m.CUP_STATUS_CAN_GET = 1 -- 可领取
m.CUP_STATUS_GET = 2 -- 已领取
-- 礼包状态
m.GIFT_STATUS_INIT = 0 -- 礼包触发中
m.GIFT_STATUS_DOING = 1 -- 礼包已购买
m.GIFT_STATUS_FINISH = 2 -- 礼包已赠送完
-- 宝箱来源：来源ID不可修改删除，只可添加
m.BOX_FROM_DROP = 1 -- 掉落宝箱
m.BOX_FROM_FREE = 2 -- 免费宝箱
m.BOX_FROM_SHOP = 3 -- 商店宝箱
m.BOX_FROM_TASK = 4 -- 任务
m.BOX_FROM_DISCOUNT = 5 -- 特惠商店
m.BOX_FROM_CUP = 6 -- 竞技场奖励
m.BOX_FROM_PASS = 7 -- 通行证
m.BOX_FROM_HONOR = 8 -- 荣耀之路
m.BOX_FROM_SAVE = 9 -- 兑换-萌宠储蓄
m.BOX_FROM_GIFT = 10 -- 礼包
m.BOX_FROM_GUIDE = 11 -- 新手引导
m.BOX_FROM_ACTIVITY = 12 -- 活动
m.BOX_FROM_MAIL_CUST = 13 -- 客服邮件
m.BOX_FROM_MAIL_SYS = 14 -- 系统邮件
m.BOX_FROM_EXCHANGE_CODE = 15 -- 兑换码
m.BOX_FROM_STAGE = 16 -- 副本

m.BOX_FROM_GM = 97 -- GM添加
m.BOX_FROM_UNKNOW = 98 -- 未知
m.BOX_FROM_OTHER = 99 -- 其他

m.BOX_FROM_ID_TO_NAME = {
    [m.BOX_FROM_DROP] = "SettleBox",
    [m.BOX_FROM_FREE] = "FreeBox",
    [m.BOX_FROM_SHOP] = "ShopBox",
    [m.BOX_FROM_TASK] = "TaskBox",
    [m.BOX_FROM_DISCOUNT] = "DiscountBox",
    [m.BOX_FROM_CUP] = "CupBox",
    [m.BOX_FROM_PASS] = "PassBox",
    [m.BOX_FROM_HONOR] = "GloryRoadBox",
    [m.BOX_FROM_SAVE] = "SavingBox",
    [m.BOX_FROM_GIFT] = "Gifts",
    [m.BOX_FROM_ACTIVITY] = "ActivityBox",
    [m.BOX_FROM_MAIL_CUST] = "ServiceBox",
    [m.BOX_FROM_MAIL_SYS] = "SystemBox",
    [m.BOX_FROM_GUIDE] = "GuideBox",
    [m.BOX_FROM_EXCHANGE_CODE] = "Cdkey",
    [m.BOX_FROM_STAGE] = "StageBox",
    --
    [m.BOX_FROM_GM] = "GmBox",
    [m.BOX_FROM_UNKNOW] = "UnknowBox",
    [m.BOX_FROM_OTHER] = "OtherBox"
}

-- 公共配置key列表
m.CKEY_INIT_SHOP_FREECHEST = "initShopFreeChest" -- 广告宝箱初始宝箱
m.CKEY_INIT_DROP_CHEST = "initDropChest" -- 掉落宝箱初始宝箱
m.CKEY_CHEST_KEY_MAX = "keyMax" -- 宝箱钥匙上限
m.CKEY_CHEST_KEY_TIME = "keyTime" -- 宝箱钥匙恢复时间
m.CKEY_CHEST_KEY_VALUE = "keyValue" -- 宝箱钥匙价值
m.CKEY_CHEST_KEY_WEIGHT = "keyWeight" -- 宝箱钥匙爆炸几率
m.CKEY_MYSTERIOUS_TIME = "mysteriousTime" -- 神秘小车刷新时间
m.CKEY_MYSTERIOUS_COST = "mysteriousCost" -- 神秘小车强制刷新消耗
m.CKEY_MYSTERIOUS_INIT = "mysteriousInit" -- 神秘小车初始物品列表
m.CKEY_MYSTERIOUS_COLOR = "mysteriousColor" -- 神秘小车色块不足时宝石兑换色块比率
m.CKEY_HONOR_CONST_HP = "honorConstHp" -- 荣耀之路固定血量
m.CKEY_HONOR_HERO_MAX_LEVEL = "honorHeroMaxLevel" -- 荣耀之路最大等级
m.CKEY_HERO_BLOCK_RATIO = "heroBlockRatio" -- 升级卡牌资源不足之钻石换色块比例
m.CKEY_HERO_GOLD_RATIO = "heroLeafRatio" -- 升级卡牌资源不足之钻石换金币比例
m.CKEY_RESET_PAY_GOODS_TIME = "resetPayGoodsTime" -- 重置商品购买次数时间
m.CKEY_EQUIP_BLOCK_RATIO = "equipBlockRatio" -- 装备系统资源不足之钻石换色块比例
m.CKEY_EQUIP_LEAF_RATIO = "equipLeafRatio" -- 装备系统资源不足之钻石换金币比例
m.CKEY_ARENA_EX_SKILL_MIN_CUPS = "arenaExSkillMinCups" -- 怒气解锁积分
m.CKEY_EX_SKILL_MAX_PERC_LIST = "arenaExSkillMaxPercList" -- 怒气解锁积分

-- 神秘小车奖励状态
m.MYSTERIOUS_INIT = 1 -- 可购买
m.MYSTERIOUS_CANGET = 2 -- 可领取
m.MYSTERIOUS_ALREADY = 3 -- 已领取

m.GOLD_BUS_MAX_TIME = 86400 -- 黄金小车最大累计时间

m.HONOR_FINISH_LOSE_COUNT = 3 -- 荣耀之路结束需要失败次数

m.SETTLE_ADD_ID_CHEST = 1 -- 结算增值类型：获取银宝箱
m.SETTLE_ADD_ID_PAY = 2 -- 结算增值类型：充值
m.SETTLE_ADD_ID_SCENE_LV = 3 -- 结算增值类型：最高段位增加

m.EVENT_ID_ITEM = 101 -- 事件ID：资源变化
m.EVENT_ID_SETTLE = 102 -- 事件ID：游戏结算
m.EVENT_ID_CHEST = 103 -- 事件ID：宝箱
m.EVENT_ID_SHOP = 104 -- 事件ID：商店
m.EVENT_ID_SCENE = 105 -- 事件ID：竞技场
m.EVENT_ID_CARD = 106 -- 事件ID：英雄
m.EVENT_ID_LOGIN = 107 -- 事件ID：登录
m.EVENT_ID_CASTLE = 108 -- 事件ID：神龛
m.EVENT_ID_COMMON = 109 -- 事件ID：辅助功能
m.EVENT_ID_LEVEL = 110 -- 事件ID：辅助功能

m.RANK_SHOW_COUNT = 100 -- 排行榜展示人数
m.RANK_SAVE_COUNT = 500 -- 排行榜存储人数
m.RANK_MIN_CUPS = 1000 -- 排行榜最低积分
m.RANK_MIN_TIME = 60 -- 排行榜拉取时间最小间隔
m.RANK_SAVE_DAYS = 30 -- 排行榜最大保存天数，超过此天数时，重启服务器后，将从列表中删除

m.EXPRESSION_USE_MAX_COUNT = 8 -- 表情最大使用上限
--广告位置
m.ADS_POS_FREE_CHEST = 1 -- 免费宝箱
m.ADS_POS_WIN = 2 -- 胜利结算双倍
m.ADS_POS_LOSE = 3 -- 失败返还积分
m.ADS_POS_KEY = 4 -- 宝箱钥匙
m.ADS_POS_SEASON = 5 -- 赛季解锁下层
m.ADS_POS_GOLD_CAR = 6 -- 金币小车
m.ADS_POS_MYSTICAL = 7 -- 神秘小车
m.ADS_POS_TASK = 8 -- 任务
-- 公告
m.NOTICE_STATUS_INIT = 1 -- 未读
m.NOTICE_STATUS_READ = 2 -- 已读
-- 分群配置ID
m.GROUP_ID_EMAIL = "email" -- 邮件分群
m.GROUP_ID_CHAT = "chat" -- 聊天分群

-- 战斗类型
m.BATTLE_TYPE = {
    HONOR_WEN = 1, -- 问名
    HONOR_YANG = 2, -- 扬名
    NORMAL = 3, -- 云游之境
    STAGE = 4, -- 剧情副本
    ROOM = 5, -- 好友房
    ROOM_CHALLENGE = 6, -- 俱乐部挑战赛
    FRIEND_FAIR = 11, -- 好友公平模式
    FRIEND_REAL = 12, -- 好友真实模式
    RANK_CHALLENGE = 20, -- 榜单挑战
    AI_NORMAL = 10003 -- AI模拟运算-云游之境
}
m.BATTLE_TYPE_HONOR_WEN = 1 -- 问名
m.BATTLE_TYPE_HONOR_YANG = 2 -- 扬名
m.BATTLE_TYPE_NORMAL = 3 -- 云游之境
m.BATTLE_TYPE_FRIEND_FAIR = 11 -- 好友公平模式
m.BATTLE_TYPE_FRIEND_REAL = 12 -- 好友真实模式

-- 委派任务状态
m.APPOINT_STATUS_INIT = 0 -- 未开始
m.APPOINT_STATUS_RUN = 1 -- 委派中
m.APPOINT_STATUS_FINISH = 2 -- 奖励已领取

m.RANK_TYPE = {
    CUP = 1,
    CLUB = 2,
    CLUB_LST1 = 3
}
m.CLUB_LEVEL = {
    NORMAL = 2, -- 普通成员
    MASTER = 8 -- 会长
}
m.CLUB_TASK_TYPE = {
    OPEN_CLUB = 1, -- 打开俱乐部面板
    CLUB_TALK = 2, -- 俱乐部留言
    ROOM_VIEWER = 3, -- 围观好友房对局
    BOOY_CLUB_GOOD = 4, -- 俱乐部商场购买
    ROOM_BATTLE = 5, -- 参与好友房对局
    CLUB_CHALLENGE = 6 -- 俱乐部挑战赛
}

-- 等级解锁功能
m.LV_LOCK_CARD_LV = "cardLv" -- 卡牌等级上限字段
m.LV_LOCK_EQUIP_LV = "equipLv" -- 装备等级上限字段
m.LV_LOCK_GOLD_LV = "goldLv" -- 金枝木等级上限字段
m.LV_LOCK_CASTLE_LV = "castleLv" -- 神龛等级上限字段

-- VIP关键系统
m.VIP_RANK_CHALLENGE = "maxBDTZBuy" -- 榜单挑战

return m
